# coding: utf-8

"""
    Magneto API

    Magneto API is the RESTful API for the Rely.io platform.

    The version of the OpenAPI document: v0.0.1
    Contact: contact@rely.io
    Generated by OpenAPI Generator (https://openapi-generator.tech)

    Do not edit the class manually.
"""  # noqa: E501


import unittest

from magneto_api_client.models.blueprint_update import BlueprintUpdate

class TestBlueprintUpdate(unittest.TestCase):
    """BlueprintUpdate unit test stubs"""

    def setUp(self):
        pass

    def tearDown(self):
        pass

    def make_instance(self, include_optional) -> BlueprintUpdate:
        """Test BlueprintUpdate
            include_optional is a boolean, when False only required
            params are included, when True both required and
            optional params are included """
        # uncomment below to create an instance of `BlueprintUpdate`
        """
        model = BlueprintUpdate()
        if include_optional:
            return BlueprintUpdate(
                id = 'e',
                title = '0',
                description = '',
                icon = '',
                schema_properties = {
                    'key' : null
                    },
                reference_properties = {
                    'key' : {
                        'key' : null
                        }
                    },
                calculation_properties = {
                    'key' : {
                        'key' : null
                        }
                    },
                relations = {
                    'key' : {
                        'key' : null
                        }
                    },
                options = {
                    'key' : null
                    },
                is_active = True,
                is_hideable = True
            )
        else:
            return BlueprintUpdate(
                id = 'e',
                title = '0',
        )
        """

    def testBlueprintUpdate(self):
        """Test BlueprintUpdate"""
        # inst_req_only = self.make_instance(include_optional=False)
        # inst_req_and_optional = self.make_instance(include_optional=True)

if __name__ == '__main__':
    unittest.main()
